Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.eepic
Class EepicParser

    java.lang.Object
      jpicedt.format.input.util.AbstractRegularExpression
          jpicedt.format.input.util.AlternateExpression
              jpicedt.format.input.util.RootExpression
                  jpicedt.format.input.eepic.EepicParser

All Implemented Interfaces:
  ExpressionConstants

public class EepicParser
extends RootExpression

Grammar tree for the epic/eepic parser. Since most shared variables are held by the LaTeXParser, the latter is absolutely needed.

Field Summary

Fields inherited from interface jpicedt.format.input.util.ExpressionConstants
`ANY_CHAR, ANY_CHAR_EOL, ANY_SIGN, AT_LEAST, AT_MOST, DEBUG, DOUBLE, EOL, EXACTLY, INTEGER, NEGATIVE, NON_NULL, POSITIVE, STRICTLY_NEGATIVE, STRICTLY_POSITIVE, WHITE_SPACES, WHITE_SPACES_OR_EOL`

Constructor Summary
`EepicParser(Pool pool)` Creates a new grammar tree for the Eepic format

Method Summary
`void` | `reinit()` reinit eepic/LaTeX related parameters

Methods inherited from class jpicedt.format.input.util.AlternateExpression
`add, getExpressionList, interpret, toString`

Methods inherited from class jpicedt.format.input.util.AbstractRegularExpression
`action`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EepicParser

    public EepicParser(Pool pool)

  Creates a new grammar tree for the Eepic format

Method Detail

### reinit

    public void reinit()

  reinit eepic/LaTeX related parameters

  Overrides:
    `reinit` in class `RootExpression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org